| GTK-EXTRA - Reference Manual

| Home

# GtkCombobox

## Name

GtkCombobox - combobox widget for gtk+

## Synopsis

    GtkType

    gtk_combobox_get_type

    (void);

    GtkWidget *

    gtk_combobox_new

     (void);

void | gtk_combobox_hide_popdown_window | (GtkComboBox *combobox);

## Object Hierarchy

     GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBox
                         +----GtkHBox
                               +----GtkCombo
                                     +-----GtkComboBox

##
Args

## Signal Prototypes

    No signals

## Description

It is a composite widget with two buttons, one with an arrow to display a popdown window where you can pack whatever you want, from a calendar to a clist.

##
Details

    struct _GtkComboBox {
    	GtkHBox hbox;
    	GtkWidget *button;
            GtkWidget *arrow;
    	GtkWidget *popup;
    	GtkWidget *popwin;
    	GtkWidget *frame;
    };

#### You should access only the entry and list fields directly

### gtk_combobox_get_type ()

    GtkType gtk_combobox_get_type (void);

Returns : |

### gtk_combobox_new ()

    GtkWidget *gtk_combobox_new (void);

Creates a new combo box widget.

Returns : | a new combobox widget

### gtk_combobox_hide_popdown_window ()

    void gtk_combobox_hide_popdown_window (GtkComboBox *combobox);

Hide the popdown window.

combobox | a combobox widget

## See Also

GtkCombo

  a text entry field with a dropdown list.

| Home |  |